/* max. random phase displacement in radians */
#define PHASE_DISPLACEMENT 0.05
/* x,y,z random displacement relative to wave amp */
#define POS_DISPLACEMENT 0.3

#define N_CURTAIN_STARTPOINTS 200
#define N_CURTAINS 6
#define N_MAX_DEFLECTIONS 400
/*#define N_CURTAIN_STARTPOINTS 400
#define N_CURTAINS 8
#define N_MAX_DEFLECTIONS 400*/
#define CURTAIN_PHASESHIFT .08
#define N_TOTAL_STARTPOINTS (N_CURTAINS*N_CURTAIN_STARTPOINTS)

struct auroral_form {
	float wave_start_phase, wave_end_phase, wave_amp;
	float fold_start_phase, fold_end_phase, fold_period_fraction, fold_amp;
	float jump_start_phase, jump_end_phase, jump_amp;
};

struct auroral_form rayed_arc_form;
struct auroral_form rayed_band_form;
struct auroral_form corona_form; 
struct auroral_form drapery_form;

void generate_curtain_startpoints(float *points, int n_points, float *start_vec, float *end_vec, float *mag_vec,  struct auroral_form *form);
void precipitate(float **dst_pt, float *start_point, float *mag_norm);
